module Swagger
  module Api
    class Components
      include ActiveAttr::Model
      attr_accessor :controllers

      def create
        components = {}
        controllers.each do |controller|
          components[controller.model] = ComponentSchema.new(controller: controller).create
        end
        components
      end
    end
  end
end