
namespace :swagger do
  desc 'Create a local version of the swagger api json file'
  task api: [:environment] do
    File.open('api.yml', 'w+') do |file|
      file.write(YAML.dump(JSON.parse(Swagger::Api.json)))
    end
    File.open('api.json', 'w+') do |file|
      file.write(Swagger::Api.prettify)
    end
  end
end